#!/bin/sh

crates() {
    for c in $(find ./crates -mindepth 1 -maxdepth 1 -type d); do
        [ -f "$c/crate.sh" ] && echo $(basename $c)
    done
}

crate_runner() {
    [ -d "$1" ] || return 1
    sh ./lib/crate-runner.sh $1 $2
}

